package com.ruoyi.interfaces.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class PtAlgorithm {

    private Integer id;
    private String cateCode;
    private String code;
    private String name;
    private String matnclass;
    private String intro;
    private String note;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date date;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCateCode() {
        return cateCode;
    }

    public void setCateCode(String cateCode) {
        this.cateCode = cateCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getMatnclass() {
        return matnclass;
    }

    public void setMatnclass(String matnclass) {
        this.matnclass = matnclass;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public PtAlgorithm(Integer id, String cateCode, String code, String name,String matnclass, String intro, String note, Date date) {
        this.id = id;
        this.cateCode = cateCode;
        this.code = code;
        this.name = name;
        this.matnclass = matnclass;
        this.intro = intro;
        this.note = note;
        this.date = date;
    }

    public PtAlgorithm() {
    }

    @Override
    public String toString() {
        return "PtAlgorithm{" +
                "id=" + id +
                ", cateCode='" + cateCode + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", matnclass='" + matnclass + '\'' +
                ", intro='" + intro + '\'' +
                ", note='" + note + '\'' +
                ", date=" + date +
                '}';
    }
}
